package com.cesgroup.kingkong.mapper;

import java.util.HashMap;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import com.cesgroup.common.utils.http.HttpClientHelper;



@Component
public class EsMapper {
	@Value("${elasticsearch.HostAddress}")
    private String esHostAddress ="http://10.250.190.97:18630";
	
	@Autowired
	private HttpClientHelper httpClientHelper;
	
	public String postQuery(String query) {
		String uriString =esHostAddress+"/"+"patent*/"+"_search/";
		//String uriString =esHostAddress+"/"+"testhbase*/"+"_search/";
		HashMap<String, Object> header = new HashMap<String, Object>();
		String result = httpClientHelper.postJSON(uriString, query, header);
		return result;
	}

}
